Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::IdAssignmentPolicy_out Class Reference

`#include <PortableServerC.h>`

Collaboration diagram for PortableServer::IdAssignmentPolicy_out:

[legend]
List of all members.

## Public Methods
| IdAssignmentPolicy_out (IdAssignmentPolicy_ptr &)
| IdAssignmentPolicy_out (IdAssignmentPolicy_var &)
| IdAssignmentPolicy_out (const IdAssignmentPolicy_out &)
IdAssignmentPolicy_out & | operator= (const IdAssignmentPolicy_out &)
IdAssignmentPolicy_out & | operator= (const IdAssignmentPolicy_var &)
IdAssignmentPolicy_out & | operator= (IdAssignmentPolicy_ptr)
| operator IdAssignmentPolicy_ptr & ()
IdAssignmentPolicy_ptr & | ptr (void)
IdAssignmentPolicy_ptr | operator-> (void)
## Private Attributes
IdAssignmentPolicy_ptr & | ptr_

## Constructor & Destructor Documentation

PortableServer::IdAssignmentPolicy_out::IdAssignmentPolicy_out | ( | IdAssignmentPolicy_ptr & |  | ) |

PortableServer::IdAssignmentPolicy_out::IdAssignmentPolicy_out | ( | IdAssignmentPolicy_var & |  | ) |

PortableServer::IdAssignmentPolicy_out::IdAssignmentPolicy_out | ( | const IdAssignmentPolicy_out & |  | ) |

## Member Function Documentation

PortableServer::IdAssignmentPolicy_out::operator IdAssignmentPolicy_ptr & | ( |  | ) |

IdAssignmentPolicy_ptr PortableServer::IdAssignmentPolicy_out::operator-> | ( | void |  | ) |

IdAssignmentPolicy_out& PortableServer::IdAssignmentPolicy_out::operator= | ( | IdAssignmentPolicy_ptr |  | ) |

IdAssignmentPolicy_out& PortableServer::IdAssignmentPolicy_out::operator= | ( | const IdAssignmentPolicy_var & |  | ) |

IdAssignmentPolicy_out& PortableServer::IdAssignmentPolicy_out::operator= | ( | const IdAssignmentPolicy_out & |  | ) |

IdAssignmentPolicy_ptr& PortableServer::IdAssignmentPolicy_out::ptr | ( | void |  | ) |

## Member Data Documentation

IdAssignmentPolicy_ptr& PortableServer::IdAssignmentPolicy_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- PortableServerC.h